import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams} from 'ionic-angular';
import {ReadLearnPage} from "../read-learn/read-learn";
import {LearnManageService} from "../learnManage.service";


@IonicPage()
@Component({
    selector: 'page-learn-detail',
    templateUrl: 'learn-detail.html',
})
export class LearnDetailPage {

    testId;
    test;
    constructor(public navCtrl: NavController, public navParams: NavParams,
                public learnManageSer:LearnManageService) {
    }

    ionViewDidLoad() {
        this.testId = this.navParams.get('testId');
        const data = {
            testId:this.testId
        }
        this.learnManageSer.getDetail(data).subscribe(
            (res)=>{
                this.test = res.data;
            }
        )
    }

    //批阅试卷
    gotoRead() {
        this.navCtrl.push('ReadLearnPage')
    }

}
